
Robotics Service Bus - Bug #1860
Java Unit Test fails and hangs
04/29/2014 10:15 AM - Q. Li

Status: Resolved Start date: 04/29/2014
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: rsb-0.11
Description

Running rsb.patterns.DataCallbackTest
Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.002 sec
Running rsb.patterns.ServerTest
Apr 28, 2014 6:14:59 PM rsb.patterns.ServerTest blocking
INFO: Server running, shutting down in 500ms.
Apr 28, 2014 6:14:59 PM rsb.patterns.ServerTest$1 run
INFO: Shutting down server from callback.
Exception in thread "Thread-80" java.lang.AssertionError
    at rsb.transport.spread.SpreadInPushConnector.removeHandler(SpreadInPushConnector.java:143)
    at rsb.eventprocessing.DefaultPushInRouteConfigurator.deactivate(DefaultPushInRouteConfigurator.java:73)
    at rsb.Listener$ListenerStateActive.deactivate(Listener.java:89)
    at rsb.Listener.deactivate(Listener.java:181)
    at rsb.patterns.Method$MethodStateActive.deactivate(Method.java:111)
    at rsb.patterns.Method.deactivate(Method.java:217)
    at rsb.patterns.Server$ServerStateActive.deactivate(Server.java:135)
    at rsb.patterns.Server.deactivate(Server.java:290)
    at rsb.patterns.ServerTest$1.run(ServerTest.java:174)
    at java.lang.Thread.run(Thread.java:722)
Build timed out (after 20 minutes). Marking the build as aborted.
     [exec] Result: 143
Build was aborted
Skipping publisher since build result is ABORTED
Finished: ABORTED

Associated revisions
Revision 8ea9e205 - 04/29/2014 05:49 PM - J. Wienke

Shield tests against external rsb.conf files

Use test-ready ParticipantConfigs when creating participants to shield
against external influences.

fixes #1860

History
#1 - 04/29/2014 10:49 AM - S. Wrede
- Assignee set to J. Wienke

#2 - 04/29/2014 10:59 AM - J. Wienke
Do you have a file called ~/.config/rsb.conf? If so, could you please temporarily remove it and see whether the tests succeed in that case?

#3 - 04/29/2014 11:51 AM - Q. Li

thanks, Johannes, it has fixed my problem. could you please adapt this to any case? e.g. rsb.conf is in the ~./config folder?

#4 - 04/29/2014 12:02 PM - J. Wienke

This actually should be the case. Could you please post the contents of you rsb.conf here, so that we can reproduce the error.

#5 - 04/29/2014 12:15 PM - Q. Li

[transport.spread]
enabled = 1

[transport.socket]
enabled = 0
#host    = 129.70.133.51
#port    = 55555
#server  = auto

#6 - 04/29/2014 05:52 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-java|commit:8ea9e205914cd27f14d495c64246e07cbed269f5.
